boxlist_param Struct Reference

Box list parameters. More...

`#include <box_manager.h>`

## Data Fields

box_param_t * | first
| first box pointer of the list
box_param_t * | last
| last box pointer of the list

## Detailed Description

Box list parameters.

## Field Documentation

## first

box_param_t* boxlist_param::first

first box pointer of the list

Referenced by const_metadatalist(), delete_box_in_list(), enqueue_box(), gene_boxlist(), insert_box_into_list(), print_allbox(), search_box(), and search_metadataidx().

## last

box_param_t* boxlist_param::last

last box pointer of the list

Referenced by delete_box_in_list(), gene_boxlist(), and insert_box_into_list().

The documentation for this struct was generated from the following file:

- box_manager.h